Document Template Version

The document template version contains the actual contents for the document template. Each document contains 'document_template_version' field, which tells you exactly the contents of the document template when it was used, even if the contents are now modified.

The document template version model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the document template version.

  • Name
    object
    Type
    string
    Description

    Always 'document_template_version'.

  • Name
    document_template
    Type
    string
    Description

    Document template this document template version belongs to.

  • Name
    sections
    Type
    array of strings
    Description

    List of sections in this document template version.

  • Name
    created_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the document template version was created.

  • Name
    last_updated_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the document template version was last updated.

Response

{
    "id": "dtmv_U8xtAULYUrX7GVsTKePy",
    "object": "document_template_version",
    "document_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
    "sections": ["dtsc_1JtjV1QEY84Fv395Hl7h"],
    "created_at": "2024-04-03T04:12:01.781Z",
    "last_updated_at": "2024-04-03T04:12:01.781Z"
}


GET/v2/document_template_versions/:id

Retrieve a document template version

Retrieves the specified document template version.

Request

GET
/v2/document_template_versions/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/document_template_versions/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
        "id": "dtmv_U8xtAULYUrX7GVsTKePy",
        "object": "document_template_version",
        "document_template": "dtmp_NOIYLBGOBNhSwTWCUzfu",
        "sections": ["dtsc_1JtjV1QEY84Fv395Hl7h"],
        "created_at": "2024-04-03T04:12:01.781Z",
        "last_updated_at": "2024-04-03T04:12:01.781Z"
    }